# Interface AtomicIterator<T>

public interface AtomicIterator<T>
Describes

## Method Summary

Modifier and Type
Method
Description
`Optional<T>`
`next()`
Produces the next element from the iterator, if there is one; otherwise, produces `Optional.EMPTY`

## Method Details

### next

Optional<T> next()
Produces the next element from the iterator, if there is one; otherwise, produces `Optional.EMPTY`